Disable acknowledging snapshotless archive links as archives.
Closed, ResolvedPublic

Description

Some users have complained that archives that point to a URLs snapshot history, but not a specific snapshot should not be acknowledged as an archive as the history is being used as a source in itself.

Cyberbot should either forcibly convert these to actual snapshots, and users use {{cbignore}} to have Cyberbot ignore the link, or cyberbot should disregard them as normal URLs altogether.

The next step is to purge the DB of those archives and have it be repopulated with meaningful data.

Thoughts?

Restricted Application added a subscriber: Zppix. · View Herald TranscriptJul 7 2016, 9:27 PM
Cyberpower678 changed the title from "Disable acknowledging snapshot less archive links as archives." to "Disable acknowledging snapshotless archive links as archives.".Jul 7 2016, 9:29 PM
Cyberpower678 closed this task as "Resolved".Jul 10 2016, 5:54 PM

Bare URLs, and cite templates with snapshotless URLs in the URL field will be considered a regular URL, while those in the archive field will be considered invalid and a snapshot will be forced on.

DannyH moved this task from Untriaged to Archive on the Community-Tech board.Jul 11 2016, 10:59 PM

What is a snapshot history or a snapshotless URL?

What is a snapshot history or a snapshotless URL?

Something like {{waybacK|url=foo}} would generate http://web.archive.org/*/foo.

Note the * and that it is not a timestamp.

Something like {{waybacK|url=foo}} would generate http://web.archive.org/*/foo.

Note the * and that it is not a timestamp.

So you call "snapshot history" what archive.org calls "calendar view"?